FROM node:22-alpine AS builder

# Set working directory
WORKDIR /app

# Copy the book source files
COPY . /app/flug

# Set the working directory to the book folder
WORKDIR /app/flug

# Install honkit globally and build the book
RUN npm install -g vite && \
    npm install && \
    vite build

# Final Stage: Serve with Nginx
FROM nginx:alpine

# Copy the rendered HTML from the builder stage
COPY --from=builder /app/flug/dist /usr/share/nginx/html

# Expose port 80
EXPOSE 80

# Use the default Nginx configuration to serve static files
CMD ["nginx", "-g", "daemon off;"]
